/* Copyright (C) 1994-2003 Revolution Software Ltd
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Header: /cvsroot/scummvm/scummvm/bs2/driver/d_draw.h,v 1.10 2003/10/05 15:28:15 eriktorbjorn Exp $
 */

#ifndef D_DRAW_H
#define D_DRAW_H

#include "bs2/driver/driver96.h"

namespace Sword2 {

extern byte *lpBackBuffer;

class MoviePlayer {
private:
	uint8 *_textSurface;
	void openTextObject(_movieTextObject *obj);
	void closeTextObject(_movieTextObject *obj);
	void drawTextObject(_movieTextObject *obj);

public:
	MoviePlayer() : _textSurface(NULL) {}
	int32 play(char *filename, _movieTextObject *text[], uint8 *musicOut);
};

} // End of namespace Sword2

#endif
